# $Revision: 1.6 $, $Date: 2001/11/17 15:59:08 $
Summary:	N.A.T.O.W - nasty armoured tanks of war!
Summary(pl):	N.A.T.O.W - paskudne opancerzone czogi wojenne!
Name:		natow
Version:	0.2.10
Release:	1
License:	GPL
Group:		X11/Applications/Games
Group(de):	X11/Applikationen/Spiele
Group(pl):	X11/Aplikacje/Gry
Source0:	http://download.sourceforge.net/natow/%{name}-%{version}.tar.gz
Source1:	http://download.sourceforge.net/natow/%{name}-images-0.2.5.tar.gz
Source2:	http://download.sourceforge.net/natow/%{name}-levels-0.2.5.tar.gz
Source3:	http://download.sourceforge.net/natow/%{name}-models-0.2.5.tar.gz
Patch0:		%{name}-install2.patch
Patch1:		%{name}-CFLAGS_and_LIBS.patch
Patch2:		%{name}-script.patch
BuildRequires:	glass-devel
BuildRequires:	glut-devel
URL:		http://natow.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
N.A.T.O.W is a 3D (openGL) tank game based loosely on scorched earth
(or the newer xscorch), but including a single player element. The
goal is to kill the other tanks and as much terrain as possible. A
project goal is to add useless objects in that can be additionally
destroyed, like buildings, alien artifacts and of course, defenseless
baby bunnies. (TODO shows, we have to wait for full playability)

%description -l pl
N.A.T.O.W to gra czogami bazujca na scorched earth (take xscorch) w
technologii 3D OpenGL. Celem jest niszczenie innych czogw i
generalnie wszystkiego co si rusza i nierusza. (TODO pokazuje, e
jeszcze troch trzeba poczeka na maksymaln grywalno)

%prep
%setup -q -a 1 -a 2 -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

CC=%{__cc}
CFLAGS="%{rpmcflags} -I/usr/include -I/usr/X11R6/include -DUSE_GLASS  -DNATOW_VERSION_STRING=\"\\\"%{version}\\\"\""
LDFLAGS="-L%{libdir}"

export CC CFLAGS LDFLAGS

%{__make} -C src \
	all

cp src/natow .

%install
rm -rf $RPM_BUILD_ROOT

PREFIX=${RPM_BUILD_ROOT}; export PREFIX

%{__make} \
	install

cp -r models/ $RPM_BUILD_ROOT%{_datadir}/%{name}

gzip -9nf README TODO Changelog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc *.gz
%{_datadir}/%{name}/*
%{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: natow.spec,v $
Revision 1.6  2001/11/17 15:59:08  kloczek
- removed COPYING from %doc (License is GPL).

Revision 1.5  2001/11/17 12:59:13  fastviper
- moved data to /usr/X11R6/share/natow

Revision 1.4  2001/11/16 19:06:05  saq
- buildreq glut-devel
- remove unnecessary requireses

Revision 1.3  2001/11/15 19:06:10  fastviper
- changed patches to simplier
- moved all data to /usr/X11R6

Revision 1.2  2001/11/14 02:13:05  misiek
- little fixes

Revision 1.1  2001/11/14 01:15:15  fastviper
- polish translations
- created spec, used adapter.awk
